import { defineStore } from "pinia";
import { ref } from "vue";
import { useCounterMixin } from "@/stores/mixin";

// const { date2Thai } = useCounterMixin();

export const useRegistryDataStore = defineStore("RegistryData", () => {
  const row = ref<[]>([]);

  function save(data: any) {
    const list = data.map((e: any) => ({
      ...e,
    })) satisfies [];
    row.value = list;
  }
  return {
    save,
    row,
  };
});
